clear;
 
M = 1000;

num = 10;
%%%%%%%%%%DATASET 

%read all classes in cell array Pippo
[Class, Pippo] = read_data_LacI;
nr_a = size(Pippo{1},2);
nr_cl = length(Class);

bs_known = [
2
3
13
14
15
19
22
23
26
51
54
58
70
72
73
76
121
123
145
189
191
220
246
248
273
274
276
293];



known =  bs_known;

%%%%%%%%%%END DATASET 

nr_compare = 2;

weights = zeros(1,nr_a);
tmp = [];
for iter=1:M
disp(iter)
      W = simple_multi_relief(Pippo,nr_a, nr_compare,num);

      tmp = [tmp; W];
 
end; %for iter M

for i=1:nr_a
t = tmp(:,i);
id_t = find(t>0);
conf(i) = length(id_t);
if ~isempty(id_t)
weights(i) = mean(tmp(id_t,i));
elseif ~isempty(find(t<0))
id_t = find(t<0);
weights(i) = mean(t(id_t));
else
weights(i) = 0;
end;
end;

[sorted, indice] = sort(-weights);
sorted_conf = conf(indice);

boost_str = 1;

if boost_str

[sites,neigh] =  textread('/home/elena/MultiReliefCode/DATA/lacIcontacts_out.txt','%d %d');
b_weights = boost_weights(weights, nr_a,sites,neigh);
[sortedb, indiceb] = sort(-b_weights);

%%%%FIGURES ROC WITHOUT AND WITH BOOSTING

figure;
[x,y, R, IDX] = ppi_multi_ROC(sortedb', indiceb ,sorted', indice ,nr_a, bs_known, 1);

end;

