clear;
%%IF M>1 THEN ENSEMBLE FEATURE SELECTION IS USED. AT EACH ITERATION MIN_SIZE ELEMENTS FROM EACH CLASS ARE USED AND ONLY THESE ELEMENTS ARE USED FOR COMPUTATION OF MISS AND HIT
 
M = 2000;
num = 10;
%%%%%%%%%%DATASET 
nr_a = 214;
%read all 77 classes in cell array Pippo
read_data_gpcr;
bs_known = [
171
170
79
71
68
53
189
75
56
72
185
174
67
186
126
123
127
130
122
112
117]';

known =  bs_known;
%%%%%%%%%%END DATASET 

nr_cl = 77;
nr_compare = 2;
weights = zeros(1,nr_a);
tmp = [];
tmp_conf = [];
for iter=1:M
disp(iter)
      W = simple_multi_relief(Pippo, nr_a, nr_compare,num);
      tmp = [tmp; W];
end; %for iter M

for i=1:nr_a
  t = tmp(:,i);
  id_t = find(t>0);
  conf(i) = length(id_t);
  id_tn = find(t<0);
if ~isempty(id_t)
weights(i) = mean(tmp(id_t,i)) ;
elseif ~isempty(find(t<0))
id_t = find(t<0);
%weights(i) = mean(t(id_t)) ;
weights(i) =  mean(tmp(id_t,i));
else
weights(i) = 0;
end;
end;

[sorted, indice] = sort(-weights);
sorted_conf = conf(indice);
boost_str = 1;
if boost_str
[sites,neigh] =  textread('/home/elena/MultiReliefCode/DATA/contacts.txt','%d %d');
%FIGURE CONFIDENCE VS WEIGHTS+CONTEXT
b_weights = boost_weights(weights, nr_a,sites,neigh);
[sortedb, indiceb] = sort(-b_weights);
figure;
[x,y, R, IDX] = ppi_multi_ROC(sortedb', indiceb ,sorted', indice ,nr_a, bs_known, 1);
end;



