function weights = simple_relief_seq(Dp, Dn)
  
     [n1, m1] = size(Dp);    
     [n2, m2] = size(Dn);
     valore =   min(m1,m2);
     p1 = randperm(m1);
     p2 = randperm(m2);
     Dp = Dp(:,p1(1:valore));
     Dn = Dn(:,p2(1:valore));
   [nr_var, nr_p] = size(Dp);
   [nr_var, nr_n] = size(Dn);
     
weights_p = zeros(1,nr_var)';
weights_n = zeros(1,nr_var)';
weights = zeros(size(Dp,1),1);
%%%%%ORIGINAL RELIEF
for i=1:nr_p
   example = Dp(:,i);
if 1
   dist = dist_set_seq(example,Dn);
   [sortedweight, Idx] = sort(dist );
   miss = Dn(:,Idx(nr_n));
   dist = dist_set_seq(example,Dp);
   [sortedweight, Idx] = sort(dist );    
   hit = Dp(:,Idx(nr_p-1));
end;
if 0
tmp = randperm(nr_n);
miss = Dn(:,tmp(1));
tmp = setdiff(randperm(nr_p),i);
hit = Dp(:,tmp(1));
end;
   for j=1:nr_var
     thit = (example(j)~= hit(j)) ;
     tmiss = (example(j)~=miss(j));
     weights_n(j) =  weights_n(j) - thit  + tmiss;
   end; %for j
end; %for i

for i=1:nr_n
   example = Dn(:,i);
if 1
  dist = dist_set_seq(example,Dp);
  [sortedweight, Idx] = sort(dist );
  miss = Dp(:,Idx(nr_p));
  dist = dist_set_seq(example,Dn);
  [sortedweight, Idx] = sort(dist );
  hit = Dn(:,Idx(nr_n-1));
end;
if 0
tmp = randperm(nr_p);
miss = Dp(:,tmp(1));
tmp = setdiff(randperm(nr_n),i);
hit = Dn(:,tmp(1));
end;
  for j=1:nr_var
      thit = (example(j)~= hit(j)) ;
     tmiss = (example(j)~=miss(j));
     weights_n(j) =  weights_n(j) - thit  + tmiss;
  end;
end;


weights = (weights_p+weights_n)/(nr_p+nr_n);


